Page MenuHomePhabricator

Epic: matching gifts HEP integration (was employer field V2)
Open, Needs TriagePublic0 Estimated Story Points

Related Objects

StatusSubtypeAssignedTask
OpenNone
DuplicateNone
DeclinedNone
DeclinedNone
ResolvedEjegg
ResolvedEjegg
ResolvedNone
Resolvedjgleeson
Resolvedjgleeson
ResolvedEjegg
Resolvedjgleeson
Resolvedjgleeson
ResolvedAndyRussG
ResolvedAndyRussG
DeclinedNone
OpenNone
Resolvedjgleeson

Event Timeline

DStrine created this task.Jul 23 2019, 3:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2019, 3:03 PM
DStrine renamed this task from Investigate employer field V2 to Investigate matching gifts HEP integration (was employer field V2).Aug 17 2019, 5:55 AM
DStrine updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.Aug 20 2019, 12:45 AM

Looks like the GiftPlus API would be a way to do the type-ahead autocomplete, but it would probably be a bit laggy, since our server would have to wait for their server rather than just looking stuff up in a local database. It would protect privacy better than the loading something from their site in our form, but they would still have an idea of which companies' employees are donating to us. Is there any possibility of them giving us a big CSV file (quarterly, monthly?) that we could use to populate a local database?

The eMatch portal looks like we'd be sending donor name, email, amount, and company name, for HEP to take over communication with our donors. The linked doc says it needs a verified company name and id, which I guess would come from our autocomplete lookup. The API would let us automatically send that info when the donation hits Civi.

If we're asking for a big CSV file, it wouldn't have to be ALL the info they store - just a list of names and IDs would let us do the autocomplete without lag, and then we could use the IDs to look up the full company profile to e.g. send a custom email from Civi with company-specific links and instructions.

Ejegg added a comment.EditedAug 27 2019, 5:40 PM

After talking with HEPData today, we heard they do offer a daily sync of information to some of their education client. They also showed us a front-end integration with a lookup field via proxied calls (i.e. server-to-server, donor's browser doesn't interact with their server) to their GiftData API - it wasn't exactly speedy, but was certainly usable.

DStrine updated the task description. (Show Details)Sep 13 2019, 2:44 PM
Ejegg added a subscriber: NNichols.Sep 13 2019, 3:42 PM

@NNichols do you know where Wikipedia is classified under this list of categories for matching gift eligibility? Are we a library?

four_year_college_universities - Four Year College eligibility
grad_professional_schools - Graduate School eligibility
community_junior_college - Community Coll. eligibility
secondary_schools - Secondary School eligibility
elementary_schools - Elementary School eligibility
technical_schools - Technical School eligibility
law_schools - Law School eligibility
middle_schools - Middle School eligibility
pre_schools - Pre School eligibility
educational_services - Educational Services eligibility
educational_fund - Educational Fund eligibility
education_foundation - Educational Foundation eligibility
museum - Museum eligibility
social_services - (NYC Rescue) eligibility
performing_arts - (Wolftrap) eligibility
cultural - (Wolftrap) eligibility
charities - Charity eligibility
libraries - Public Library eligibility
community_development - Community Development elg
volunteer_programs - Volunteer Prog. Eligibility

DStrine updated the task description. (Show Details)Apr 21 2020, 9:12 PM
DStrine renamed this task from Investigate matching gifts HEP integration (was employer field V2) to Epic: matching gifts HEP integration (was employer field V2).Apr 22 2020, 5:00 PM
DStrine added a project: Epic.
DStrine updated the task description. (Show Details)Apr 27 2020, 7:02 PM

Adding my notes here from our meeting just now with fr-tech and MGF to confirm next steps for email integration. I'm adding @MNoorWMF and @KHaggard to this task as I'll need their help with implementation.

  • What data are we sending to acoustic and how will it work?
    • Acoustic - setting up an automated program that will pull people in who meet given criteria.
      • Expectation that the matching gift HEP data will live in a relational table which we can reference in the emails to pull in employer specific data
    • Why not just have Civi send these?
      • Design -- Civi doesn't support elements like buttons
      • Tracking -- we don't have visibility into opens, etc
      • Testing -- we can improve content through testing on Acoustic
    • CC: check with Trilogy to make sure automation can handle relational table entry criteria
    • Note: we get several types of links from HEP and this might affect the types of emails we can send for a given employer.
      • CC: I believe this should be easy enough to control using Acoustic's dynamic content options. Could also use automation to set up different "tracks" for people who meet different criteria
  • Timeline
    • Fr-tech working on this in next sprint. If data is given to email team by June 30, we can have the email side ready August 1 (barring unforeseen bugs)
EYener added a subscriber: EYener.Jun 3 2020, 8:50 PM
TSkaff added a subscriber: TSkaff.Jun 16 2020, 3:39 PM
Jgreen added a subtask: Restricted Task.Jul 1 2020, 4:40 PM
Dwisehaupt closed subtask Restricted Task as Resolved.Jul 1 2020, 5:52 PM
DStrine closed subtask Restricted Task as Resolved.Tue, Jul 21, 7:04 PM

@DStrine I wanted to double check: I see 1 or 2 cases still open but most have been resolved. May I proceed with the list import into Acoustic?

DStrine added a subscriber: mepps.Fri, Jul 24, 8:32 PM

@Ejegg and @mepps are still working on this task: T257963 They will ping you all when it's ready.

Ah gotcha. will wait for the ping from Elliot or Maggie. Thanks yall!